NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Attributes | List of all members
NeuralEngine::MachineLearning::Trans Class Reference
Collaboration diagram for NeuralEngine::MachineLearning::Trans:
[legend]

## Public Member Functions
| Trans (void *buffer)
| Trans (cv::Mat &buffer)
| Trans (cv::Mat &buffer, int alpha)
cv::Mat & | get () const
void | setup (int alpha)
void | flush ()
cv::Mat & | with (int alpha)
cv::Mat & | with (const Color &color)

## Protected Attributes
int | alpha_
cv::Mat & | original_
cv::Mat * | interim_

## Detailed Description

Definition at line 49 of file FgCVPlotInternal.h.

## Constructor & Destructor Documentation

## ◆ Trans() [1/3]

NeuralEngine::MachineLearning::Trans::Trans | ( | void * | buffer | ) |
| inline

Definition at line 51 of file FgCVPlotInternal.h.

## ◆ Trans() [2/3]

NeuralEngine::MachineLearning::Trans::Trans | ( | cv::Mat & | buffer | ) |
| inline

Definition at line 53 of file FgCVPlotInternal.h.

## ◆ Trans() [3/3]

NeuralEngine::MachineLearning::Trans::Trans | ( | cv::Mat & | buffer,
|  | int | alpha
| ) |  |
| inline

Definition at line 55 of file FgCVPlotInternal.h.

## ◆ ~Trans()

NeuralEngine::MachineLearning::Trans::~Trans | ( |  | ) |
| inline

Definition at line 57 of file FgCVPlotInternal.h.

## Member Function Documentation

## ◆ get()

cv::Mat & NeuralEngine::MachineLearning::Trans::get | ( |  | ) | const
| inline

Definition at line 59 of file FgCVPlotInternal.h.

## ◆ setup()

void NeuralEngine::MachineLearning::Trans::setup | ( | int | alpha | ) |
| inline

Definition at line 61 of file FgCVPlotInternal.h.

## ◆ flush()

void NeuralEngine::MachineLearning::Trans::flush | ( |  | ) |
| inline

Definition at line 70 of file FgCVPlotInternal.h.

## ◆ with() [1/2]

cv::Mat & NeuralEngine::MachineLearning::Trans::with | ( | int | alpha | ) |
| inline

Definition at line 80 of file FgCVPlotInternal.h.

## ◆ with() [2/2]

cv::Mat & NeuralEngine::MachineLearning::Trans::with | ( | const Color & | color | ) |
| inline

Definition at line 88 of file FgCVPlotInternal.h.

## Member Data Documentation

## ◆ alpha_

int NeuralEngine::MachineLearning::Trans::alpha_
| protected

Definition at line 91 of file FgCVPlotInternal.h.

## ◆ original_

cv::Mat& NeuralEngine::MachineLearning::Trans::original_
| protected

Definition at line 92 of file FgCVPlotInternal.h.

## ◆ interim_

cv::Mat* NeuralEngine::MachineLearning::Trans::interim_
| protected

Definition at line 93 of file FgCVPlotInternal.h.

The documentation for this class was generated from the following file:

- FgCVPlotInternal.h